package com.nbclass.szxgl.model;

import java.util.Date;
import javax.persistence.*;

@Table(name = "qywx_party")
public class QywxParty {
    /**
     * ID, 主键,部门Id
     */
    @Id
    @Column(name = "Id")
    private Integer id;

    /**
     * 创建时间
     */
    private Date createtime;

    /**
     * 修改时间
     */
    private Date updatetime;

    /**
     * 部门名称
     */
    @Column(name = "Name")
    private String name;

    /**
     * 父部门id
     */
    @Column(name = "ParentId")
    private Integer parentid;

    /**
     * 部门排序
     */
    @Column(name = "Order")
    private Integer order;

    /**
     * 获取ID, 主键,部门Id
     *
     * @return Id - ID, 主键,部门Id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置ID, 主键,部门Id
     *
     * @param id ID, 主键,部门Id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取创建时间
     *
     * @return createtime - 创建时间
     */
    public Date getCreatetime() {
        return createtime;
    }

    /**
     * 设置创建时间
     *
     * @param createtime 创建时间
     */
    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    /**
     * 获取修改时间
     *
     * @return updatetime - 修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 设置修改时间
     *
     * @param updatetime 修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 获取部门名称
     *
     * @return Name - 部门名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置部门名称
     *
     * @param name 部门名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取父部门id
     *
     * @return ParentId - 父部门id
     */
    public Integer getParentid() {
        return parentid;
    }

    /**
     * 设置父部门id
     *
     * @param parentid 父部门id
     */
    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    /**
     * 获取部门排序
     *
     * @return Order - 部门排序
     */
    public Integer getOrder() {
        return order;
    }

    /**
     * 设置部门排序
     *
     * @param order 部门排序
     */
    public void setOrder(Integer order) {
        this.order = order;
    }
}